Subject: bug#49716: no -print0 for ls?

From: Paul Eggert <[email-masked]>
Date: Sat, 24 Jul 2021 12:26:01 -0700

On 7/24/21 10:48 AM, Vito Caputo wrote:
> Couldn't we make
> -0 and any aliases shorthand for a new --format=WORD where WORD is
> names0 or something.  That way it's automatically mutually exclusive
> with the other formats?

It would make sense to invent a new --quoting-style='literal0' option 
(by analogy with the existing --quoting-style='literal'), and make ls -0 
an alias for ls --quoting-style='literal0'. I could add support for that 
if there's interest.